<?php
    $brandName = null;
    if($this->BrandName) {
        $brandName = $this->BrandName;
        $brandUrl = $this->BrandUrl;
        $brandDescription = $this->BrandDescription;
    }
    $brand = $this->brand;
    $aboutme = $this->aboutme;
    
    $image = '';
    if(isset($aboutme->aboutmeImage))
    {
        $profileImages = json_decode($aboutme->aboutmeImage);                        
        $image = '';
        if(isset($profileImages[0]->url) && !empty($profileImages[0]->url))
        {
            $image = $profileImages[0]->url;
        }
    }
?>
<iframe id="editorImageSubmitterIframe" name="editorImageSubmitterIframe" style="display: none;" onload="if(this.contentWindow.location.href != 'about:blank' && window.imageUploadSubmitted) {window.imageUploadSubmitted(this)}"> </iframe>
<form onsubmit="window.imageUploadStarted()" enctype="multipart/form-data" method="post" target="editorImageSubmitterIframe" action="<?= $this->url('aboutme-add-image', ['brandUrl' => $brand->url]); ?>">
    <input type="file" name="image" style="display: none" id="editorImageSubmitter" onchange="$(this).parent().submit()" />
</form>
<script>
    window.imageUploadStarted = function() {
        window.postImageUploadFinished = window.loadingIndicator($('body')); 
    };
    window.imageUploadEnded = function() {
        if (window.postImageUploadFinished) {
            window.postImageUploadFinished();
        }
    };

    window.imageSubmittedCallback = false;
    window.imageUploadSubmitted = function(el) {
        window.imageUploadEnded();

        if(window.imageSubmittedCallback === false) return;
        var iframeContents = $(el)[0].contentDocument.body.innerHTML;

        var re = /\{[\-a-zA-Z"'0-9:\w|.,/\\]+\}/.exec(iframeContents);
        if(re == null) {
            labAlert("An error has occured while uploading the photo.");
            window.imageSubmittedCallback(false);
            window.imageSubmittedCallback = false;
            return;
        }
        var response = re[0];
        response = JSON.parse(response);
        console.log("Successfully uploaded image:", response);
        window.imageSubmittedCallback(response.imageLink);
        window.imageSubmittedCallback = false;
    };
</script>

<div class="col-md-12 col-sm-12">
    <div class="socialcontainer aboutus-container">
        <div class="two-3columns-new">
            
            <?php if($this->isBrandAdmin){ ?>
            <div class="upload-aboutme-section" style="display:<?php echo (!empty($aboutme)) ? 'none' : '';  ?>">
                <div style="position: relative;height: 272px;">
                    <div data-type="aboutme" class="aboutme-photo-upload" onclick="uploadImage('aboutme');">
                    </div>
                    
                    <div class="upload-image-list-aboutme editable small-image-section image-list text-center" style="display: none;">
                    </div>
                </div>

                <div class="aboutme-upload-details aboutme_form_section">
                    <input type="text" class="aboutme-title-upload aboutme_name" placeholder="About Me Title" value="<?php echo isset($aboutme->aboutmeTitle) ? $aboutme->aboutmeTitle : ''; ?>">
                    <textarea class="aboutme-description-upload aboutme-input-text aboutme_description" placeholder="Description"><?php echo isset($aboutme->aboutmeDescription) ? $aboutme->aboutmeDescription : ''; ?></textarea>
                    <input type="hidden" name="hdnAboutMeId" id="hdnAboutMeId" value="<?php echo $aboutme->id; ?>">
                    <input type="hidden" name="hdnAboutmeImage" id="hdnAboutmeImage" value="<?php echo $image; ?>">
                </div>
                <div class="post-uploaded-aboutme">
                    <button type="button" onclick="javascript: manageAboutMe();" class="postblueBtnCategory">Save</button>
                    <?php if(!empty($aboutme)){ ?>
                        <button class="hideBtnCategory" onclick="javascript: closeAboutmeEditForm();">Close</button>
                    <?php } ?>
                    <div class="clear"></div>
                </div>
            </div>
            <?php } ?>

            <div class="about-me" style="display:<?php echo (empty($aboutme)) ? 'none' : '';  ?>">
                
                <span class="pen">
                     <?php if($this->isBrandAdmin){ ?>
                        <a href="javascript:void(0);" role="button" onclick="javascript: editAboutMe();">
                            <i class="fa fa-pencil" aria-hidden="true"></i>
                        </a>
                    <?php } ?>
                </span>
                <div class="clear"></div>
                

                <div class="about-me-block">
                    <div class="aboutme_profile">
                        <?php if(!empty($image)){ ?>
                            <img src="<?php echo $image; ?>">
                        <?php } ?>
                    </div>
                    
                    <h2><?php echo $aboutme->aboutmeTitle; ?></h2>
                    <img src="/images/sep-about.png" class="sep-about">
                    <p><?php echo $aboutme->aboutmeDescription; ?></p>
                </div>
            </div>
            <!-- end of social content -->
            <div class="clear"></div>
        </div>
        <?php
            echo $this->partial('brand-info-partial', [
            'brand' => $this->brand,
            'user' => $this->user,
            'isBrandAdmin' => $this->isBrandAdmin,
            'bannerUrl' => $this->bannerUrl,
            ]);
        ?>
        <div class="clear"></div>
    </div>
</div>

<script type="text/javascript">
var UploadedImagesListSelAboutme = '.upload-image-list-aboutme';

window.onGloabalJS.push(function() {
    window.uploadImageSetStorageAboutme = window.persistentVariableAboutme("uploadImageSetAboutme", new window.ImageSet([], UploadedImagesListSelAboutme));
    if(window.uploadImageSetStorageAboutme.get().type !== 'ImageSet') {
        window.uploadImageSetStorageAboutme.set(new window.ImageSet([], UploadedImagesListSelAboutme));
    }
    //console.log("uploadImageSetStorage = ", window.uploadImageSetStorage, window.uploadImageSetStorage.get());
});

function uploadImageToEditorAboutme(img) {
    //console.log(img);
    //console.log('Posts');
    //console.log(window.uploadImageSetStorage.value);
    var imageSet = window.uploadImageSetStorageAboutme.get();
    //console.log(imageSet);
    imageSet.addImages([img]);
    window.uploadImageSetStorageAboutme.set(imageSet);
}

function uploadImage(type) {
    var handelClass = '.upload-image-list-'+type;
    //console.log(handelClass);
    UploadedImagesListSel = handelClass;
    
    window.imageSubmittedCallback = uploadImageToEditorAboutme;
    
    $("#editorImageSubmitter").click();
}

function removeImageClicked(el, type) {
    var $container = $(el).closest('.img-container');
    var $img = $('img', $container);
    var confirm = labConfirm("Are you sure you want to delete this image?", "Confirm delete",
    function(response) {
        if(response) {
            removeImage($img.attr('src'), type);
            $('.upload-image-list-aboutme').hide();
            $('.aboutme-photo-upload').show();
        }
    }, "Delete", "Cancel");
}

function removeImage(img, type) {
    var imageSet = window.uploadImageSetStorageAboutme.get();
    console.log(imageSet);
    imageSet.removeImages([img]);
    window.uploadImageSetStorageAboutme.set(imageSet);
}

function editAboutMe()
{
    var image = $('#hdnAboutmeImage').val();
    if(image.length > 0 && image != "")
    {
        uploadImageToEditorAboutme(image);
    }
    
    $('.about-me').slideUp('slow', function(){
        $('.upload-aboutme-section').slideDown('slow');
    });
    
}

function closeAboutmeEditForm()
{
    var imgs = window.uploadImageSetStorageAboutme.get();
    imgs.images = [];
    imgs.imagesChanged();
    window.uploadImageSetStorageAboutme.set(imgs);
    $('.upload-aboutme-section').slideUp('slow', function(){
        $('.about-me').slideDown('slow');
    });
}

window.onFeedJS.push(initAboutMeTab);
window.onFeedJS.push(function () {
    window.feed.onSegmentChanged.push(initAboutMeTab);
});

function initAboutMeTab() {
    if(window.feed.activeSegment != 'aboutme') return;
    
    $(document).on('click, mouseover', '.image-list .img-container', function(e) {
        e.preventDefault();
        var $this = $(this);
        var $panel = $('.img-panel', $this);
        if($panel.closest('.image-list').hasClass('editable')) {
            var type = $panel.closest('.image-list').data('type');
            $panel.toggleClass('active');
            if($panel.hasClass('active')) {
                $('.img-panel', $this.parent().parent()).removeClass('active');
                $panel.addClass('active');
            }
            if ($panel.hasClass('new')) {
                $panel.removeClass('new');
                $panel.html('<div class="buttons"><button onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"><img src="/images/xcategory.png"></button></div>');
            }
        }
    });
}

window.onFeedJS.push(function() {
    $('.aboutme-input-text').each(function(){
        autoheight(this);

        $(this).keyup(function (e) {
            autoheight(this);
        });
    });
});

function autoheight(a) {
    if (!$(a).prop('scrollTop')) {
        do {
            var b = $(a).prop('scrollHeight');
            var h = $(a).height();
            $(a).height(h - 5);
        }
        while (b && (b != $(a).prop('scrollHeight')));
    };
    $(a).height($(a).prop('scrollHeight'));
}
</script>